%
% enter the objective function here
%
function fobj = funkeval(x)
%  get parameters
global Ea ko
Ea = x(1);
ko = x(2);
%  get data
global datamat
ndata = max(size(datamat));
timevec(1:ndata) = datamat(1:ndata,1);
chivec(1:ndata) = datamat(1:ndata,2);
tempvec(1:ndata) = datamat(1:ndata,3);
% evaluate model
global nstep_rk4 to_rk4 tf_rk4 xo_rk4
[xplot,yplot]=rk4n(nstep_rk4,to_rk4,tf_rk4,xo_rk4);
% compute objective function
fobj = 0.0;
fobj_extent = 0.0;
fobj_temp = 0.0;
%  define weights
w_extent = 1;
w_temp = 1;
for i = 1:1:ndata
     extent_i = interp1(xplot,yplot(:,1),timevec(i));
     temp_i = interp1(xplot,yplot(:,2),timevec(i));
    fobj_extent = fobj_extent + (chivec(i) - extent_i)^2;
    fobj_temp = fobj_temp + (tempvec(i) - temp_i)^2;
%    fprintf(1,' %5i %7.4f %7.4f %7.4f %7.2f %7.2f \n', i, timevec(i), chivec(i), extent_i, tempvec(i), temp_i);
end
fobj = w_extent*fobj_extent + w_temp*fobj_temp;
fprintf(1, '  %15.7e %15.7e %15.7e \n', Ea, ko, fobj);
global icount
icount = icount + 1;





